com.sleepycat.persist.model

## Class FieldMetadata

- java.lang.Object
- - com.sleepycat.persist.model.FieldMetadata

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PrimaryKeyMetadata, SecondaryKeyMetadata

    public class FieldMetadata
    extends java.lang.Object
    implements java.io.Serializable

The metadata for a key field. This class defines common properties for singular and composite key fields.

`FieldMetadata` objects are thread-safe. Multiple threads may safely call the methods of a shared `FieldMetadata` object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FieldMetadata(java.lang.String name, java.lang.String className, java.lang.String declaringClassName)` Used by an `EntityModel` to construct field metadata.

### Method Summary

Methods
`boolean` `equals(java.lang.Object other)`
`java.lang.String` `getClassName()` Returns the class name of the field type.
`java.lang.String` `getDeclaringClassName()` Returns the name of the class where the field is declared.
`java.lang.String` `getName()` Returns the field name.
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldMetadata

    public FieldMetadata(java.lang.String name,
                 java.lang.String className,
                 java.lang.String declaringClassName)

Used by an `EntityModel` to construct field metadata.

### Method Detail

#### getName

    public java.lang.String getName()

Returns the field name.

#### getClassName

    public java.lang.String getClassName()

Returns the class name of the field type.

#### getDeclaringClassName

    public java.lang.String getDeclaringClassName()

Returns the name of the class where the field is declared.

#### equals

    public boolean equals(java.lang.Object other)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`